<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo 1</title>
	<script type="text/javascript">
		/**
		 * Es capaz de sumar lo elementos de un array
		 * @param  {[array]} argumento [description]
		 * @return {[int]}           [Calcula la suma de un array]
		 */
		function suma(argumento){
			let c = 0;
			let s = 0;

			for (var i = 0; i < argumento.length; i++) {
				s = s + argumento[i];
			}

			return s;
		}
		
		/**
		 * Calcula la media de los elementos de un array
		 * @param  {[array]} argumento [un array de numeros]
		 * @return {[Real]}           [La media de los elementos de un array]
		 */
		function media (argumento){
			let m = 0;
			let s = 0;

			s=suma(argumento);
			m=s/argumento.length;
			return m;
		}

		let numeros = [4,9,8,10];
		let sPrincipal = 0;
		let mPrincipal = 0;
		sPrincipal = suma(numeros);
		mPrincipal = media(numeros);

		document.write("Suma: "+sPrincipal+"<br/>");
		document.write("Media: "+mPrincipal+"<br/>");

		sPrincipal=suma([2,2,2,2]);
		mPrincipal=media([2,2,2]);
	</script>
</head>
<body>
	
</body>
</html>